Page MenuHomePhabricator

Problem compiling VyOS 1.2 Docker Version
Closed, InvalidPublicBUG

Description

Im trying to compile VyOS 1.2 Crux, and I get this error:

root@fdf20f185e93:/vyos# ./configure
Checking if packages required for VyOS image build are installed
All dependencies are installed
Saving the build config to build/build-config.json
root@fdf20f185e93:/vyos# make iso
Checking build configuration
[2019-06-05 14:48:36] lb clean
P: Cleaning chroot
Starting VyOS ISO image build
Setting up additional APT entries
Configuring live-build
[2019-06-05 14:48:37] lb config noauto --architectures amd64 --bootappend-live boot=live components hostname=vyos username=live nopersistence noautologin nonetworking union=overlay --linux-flavours amd64-vyos --linux-packages linux-image-4.19.32 --bootloader syslinux,grub-efi --binary-images iso-hybrid --debian-installer false --distribution jessie --iso-application VyOS --iso-publisher root@fdf20f185e93 --iso-volume VyOS --debootstrap-options --variant=minbase --exclude=isc-dhcp-client,isc-dhcp-common,ifupdown --include=apt-transport-https --mirror-bootstrap http://deb.debian.org/debian --mirror-chroot http://deb.debian.org/debian --mirror-chroot-security http://deb.debian.org/debian-security --mirror-binary http://deb.debian.org/debian --mirror-binary-security http://deb.debian.org/debian-security --archive-areas main contrib non-free --firmware-chroot false --firmware-binary false --updates false --security true --apt-options --yes -oAcquire::Check-Valid-Until=false --apt-indices false
P: Updating config tree for a debian/jessie/amd64 system
P: Symlinking hooks...
Traceback (most recent call last):
  File "scripts/make-version-file", line 49, in <module>
    repo = git.Repo('.')
  File "/usr/lib/python3/dist-packages/git/repo/base.py", line 156, in __init__
    raise InvalidGitRepositoryError(epath)
git.exc.InvalidGitRepositoryError: /vyos
Makefile:14: recipe for target 'prepare' failed
make: *** [prepare] Error 1

Details

Difficulty level
Easy (less than an hour)
Version
vyos-crux
Why the issue appeared?
Will be filled on close

Event Timeline

diorges renamed this task from Problem compiling Docker Version to Problem compiling VyOS 1.2 Docker Version.Jun 5 2019, 2:50 PM
diorges created this task.
runar added a subscriber: runar.Jun 5 2019, 2:53 PM

What command did you use when starting the docker container? Make iso also require sudo to run but missing sudo that not generate that error message

This is the command used to enter docker container:

docker run --rm -it --privileged -v $(pwd):/vyos -w /vyos vyos-builder bash

With/Without sudo, the same error.

runar added a comment.Jun 5 2019, 2:58 PM

Is the vyos-builder container newly created?

Yes, this is a fresh container...

I just installed a clean OS, tried with Debian/CentOS...

Installed Docker and used the command on github/vyos-build:

$ docker build -t vyos-builder docker

Then tried to compile as you seen.

runar added a comment.Jun 5 2019, 4:35 PM

When you downloaded vyos-build did you download it or used git clone? It complains about an invalid git repository so i suppose you used the download option?

Try to clone the git repo witg git clone https://github.com/vyos/vyos-build.git in a empty directoey and retry

c-po added a subscriber: c-po.Jun 5 2019, 4:38 PM

Just did a fresh build w/o problems - seems you downloaded the sources instead of git clone as suggested by @runborg

diorges closed this task as Resolved.Jun 5 2019, 4:42 PM
diorges claimed this task.

Just discovered the problem, my mistake, sorry!

The problem was that I downloaded the repository via cURL, and now with git clone, I compiled with success.

Thank you for your help.

c-po changed the task status from Resolved to Invalid.Jun 5 2019, 4:52 PM
syncer edited projects, added Rejected; removed VyOS 1.2 Crux.Aug 31 2019, 2:54 AM